package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部党课学习资料管理对象 t_branch_manage
 *
 * @author ruoyi
 * @date 2023-07-14
 */
public class TBranchManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long manageId;

    /** 月度 */
    @Excel(name = "月度", width = 30, dateFormat = "yyyy-MM")
    private String monthly;

    /** 年份 */
    private String year;

    /** 课件描述 */
    @Excel(name = "课件描述")
    private String describe;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 附件id */
    @Excel(name = "附件id")
    private String filesId;

    public void setManageId(Long manageId)
    {
        this.manageId = manageId;
    }

    public Long getManageId()
    {
        return manageId;
    }

    public void setMonthly(String monthly)
    {
        this.monthly = monthly;
    }

    public String getMonthly()
    {
        return monthly;
    }

    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }

    public void setDescribe(String describe)
    {
        this.describe = describe;
    }

    public String getDescribe()
    {
        return describe;
    }

    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setFilesId(String filesId)
    {
        this.filesId = filesId;
    }

    public String getFilesId()
    {
        return filesId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("manageId", getManageId())
            .append("monthly", getMonthly())
            .append("year", getYear())
            .append("describe", getDescribe())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("filesId", getFilesId())
            .toString();
    }
}
